<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 *
 *  @author    EveryPay
 *  @copyright since 2023 EveryPay
 *  @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 *
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

function upgrade_module_8_0_0($module)
{
    Configuration::deleteByName($module->formatName('payment_method'));
    Configuration::deleteByName($module->formatName('apple_pay_button_style'));
    Configuration::deleteByName($module->formatName('iframe_skin'));
    Configuration::deleteByName($module->formatName('apple_pay_v4_demo_url'));
    Configuration::deleteByName($module->formatName('apple_pay_v4_production_url'));
    Configuration::deleteByName($module->formatName('apple_pay_js_demo_url'));
    Configuration::deleteByName($module->formatName('apple_pay_js_production_url'));

    $module->unregisterHook('actionFrontControllerSetMedia');
    $module->unregisterHook('actionAdminControllerSetMedia');

    return true;
}
